Xposed Framework agora compatível com Android 4.4

De vez em quando, as ROMs de ações podem não ter algo que amamos. Os desenvolvedores de ROM personalizados geralmente fazem mágica acontecer com o código e oferecem soluções úteis, mas nem todos são capazes ou desejam carregar uma ROM personalizada.

Você certamente já ouviu falar sobre o Xposed Framework pelo desenvolvedor reconhecido rovo89. Escrevemos sobre o Xposed extensivamente e até temos um recurso regular do Xposed Tuesday, mostrando vários módulos de exemplo.

Entrando em alguns detalhes técnicos, o Xposed Frameworks é uma modificação de / system / bin / app_process para carregar arquivos JAR na inicialização, o que permite que os desenvolvedores criem aplicativos com modificações únicas. É uma alternativa perfeita para executar uma ROM personalizada simplesmente para carregar nossos mods favoritos.

Muito recentemente, rovo89 atualizou seu trabalho para oferecer suporte ao Android 4.4 KitKat. Ainda está na fase beta, mas o rovo89 espera que a versão final esteja pronta muito em breve. Módulos compatíveis com versões anteriores devem continuar funcionando se não dependerem de componentes internos do AOSP que foram alterados no KitKat. No entanto, não é compatível com ART. Dito isto, é possível que a compatibilidade com ART seja adicionada no futuro. Mas, por enquanto, nada é certo.

Se você é um usuário feliz do KitKat e deseja usar seus módulos favoritos, vá para o segmento de desenvolvimento e obtenha o APK mais novo para instalar.

[Muito obrigado ao moderador sênior ApriliaM3 pela dica!]